Package org.eclipse.emf.cdo.server

## Interface ISynchronizableRepository

- All Superinterfaces:
    `CDOCommonRepository`, `CDOTimeProvider`, `IAdaptable`, `org.eclipse.net4j.util.container.IContainer<java.lang.Object>`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.event.INotifier`, `IQueryHandlerProvider`, `IRepository`
  All Known Subinterfaces:
    `InternalFailoverParticipant`, `InternalSynchronizableRepository`

      public interface ISynchronizableRepository
      extends IRepository

  A repository with the ability to `synchronize` its content with another repository.
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonRepository

      `CDOCommonRepository.CommitInfoStorage, CDOCommonRepository.IDGenerationLocation, CDOCommonRepository.ListOrdering, CDOCommonRepository.State, CDOCommonRepository.StateChangedEvent, CDOCommonRepository.Type, CDOCommonRepository.TypeChangedEvent`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `org.eclipse.net4j.util.container.IContainer.Modifiable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IRepository

      `IRepository.Handler, IRepository.Props, IRepository.ReadAccessHandler, IRepository.WriteAccessHandler`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.server.IRepository

      `SYSTEM_USER_ID`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getLastReplicatedBranchID()` |
    `long` | `getLastReplicatedCommitTime()` |
    `ISession` | `getReplicatorSession()` |
    `IRepositorySynchronizer` | `getSynchronizer()` |
    `void` | `goOffline()` |
    `void` | `goOnline()` |
    `boolean` | `hasBeenReplicated()` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonRepository

      `getCommitInfoStorage, getCreationTime, getIDGenerationLocation, getName, getObjectIDTypes, getRootResourceID, getState, getStoreType, getType, getUUID, isAuthenticating, isEnsuringReferentialIntegrity, isSerializingCommits, isSupportingAudits, isSupportingBranches, isSupportingEcore, isSupportingUnits, waitWhileInitial`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.util.CDOTimeProvider

      `getTimeStamp`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `activate, deactivate, getLifecycleState, isActive`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IQueryHandlerProvider

      `getQueryHandler`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IRepository

      `addCommitInfoHandler, addHandler, getBranchManager, getCommitConflictResolver, getCommitInfoHandlers, getCommitInfoManager, getHandlers, getLastCommitTimeStamp, getLockingManager, getLockManager, getPackageRegistry, getProperties, getQueryHandlerProvider, getRevisionManager, getSessionManager, getStore, getUnitManager, removeCommitInfoHandler, removeHandler, setInitialPackages, validateTimeStamp, waitForCommit`

- - ### Method Detail

    - #### getSynchronizer

          IRepositorySynchronizer getSynchronizer()

    - #### getReplicatorSession

          ISession getReplicatorSession()

    - #### getLastReplicatedBranchID

          int getLastReplicatedBranchID()

    - #### getLastReplicatedCommitTime

          long getLastReplicatedCommitTime()

    - #### hasBeenReplicated

          boolean hasBeenReplicated()

      Since:
        4.2

    - #### goOnline

          void goOnline()

      Since:
        4.1

    - #### goOffline

          void goOffline()

      Since:
        4.1